Skip to main content
GET
/
material-lists
Get list of Material Lists
curl --request GET \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-lists \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Query Parameters

page
string

Page number. Starts from 1, defaults to 1.

limit
string

Defaults to 50 items per page

Search string.

filter
string

Array of attribute, operator, and value parts.

asn
string

Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.

sort
string

Array of attribute and order values.

rel
string

array consisting of indices with the desired relation to include

calculate_count
string

if true, response will contain total_count

If true, response will contain custom fields data

by_view
string

Filter by view mode. Acceptable values all, team, my

by_entity
string

Filter by entity. Acceptable values job, project, invoice, order, estimate. Required if entity_id is provided

by_entity_id
string

Filter by existing entity id listed for by_entity parameter

from_job_start_time
string

Filter by job start time

to_job_end_time
string

Filter by job end time

unscheduled
string

Filter by unscheduled jobs

Response

200 - application/json

Successful response